<?php
/**
 * @author jub
 * La classe User reprsente un utilisateur dfini par son email et son mot de passe
 */
class User {
	/**
	 * @var string l'email
	 */
	private $email;
	/**
	 * @var string le mot de passe
	 */
	private $password;

	/**
	 * @param $email l'email
	 * @param $password le mot de passe si il est disponible, la chaine vide sinon
	 * @return rien
	 */
	function __construct($email, $password='')
	{
		$this->email = (string) $email; //un transtypage est utilis pour avoir une chaine
		$this->password = (string) $password;
	}

	/**
	 * @return string l'email
	 */
	function getEmail()
	{
		return $this->email;
	}

	/**
	 * @return string le mot de passe
	 */
	function getPassword()
	{
		return $this->password;
	}


	/**
	 * @param $email le nouvel email
	 * @return rien 
	 */
	function setEmail($email)
	{
		$this->email = (string) $email;
	}

	/**
	 * @param $password le nouveau mot de passe
	 * @return rien
	 */
	function setPassword($password)
	{
		$this->password = (string) $password;
	}
	
	/**
	 * @return string une reprsentation de l'utilisateur
	 */
	function __toString()
	{
		return "email : $this->email password : $this->password";
	}
}

?>